Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# keyfile.hh File Reference

A C++ interface for the GKeyFile configuarion file parser. More...

`#include <xfc/object.hh>`
`#include <glib/gkeyfile.h>`
`#include <vector>`
`#include <xfc/glib/inline/keyfile.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::G

## Classes

- class Xfc::G::KeyFile
    A C++ wrapper interface for the GKeyFile configuration file parser. More...

## Typedefs

- typedef unsigned int KeyFileFlagsField
    G::KeyFileFlagsField holds one or more bit values from the G::KeyFileFlags enumeration.

## Enumerations

- enum KeyFileError {
  KEY_FILE_ERROR_UNKNOWN_ENCODING = G_KEY_FILE_ERROR_UNKNOWN_ENCODING,
  KEY_FILE_ERROR_PARSE = G_KEY_FILE_ERROR_PARSE,
  KEY_FILE_ERROR_NOT_FOUND = G_KEY_FILE_ERROR_NOT_FOUND,
  KEY_FILE_ERROR_KEY_NOT_FOUND = G_KEY_FILE_ERROR_KEY_NOT_FOUND,
  KEY_FILE_ERROR_GROUP_NOT_FOUND = G_KEY_FILE_ERROR_GROUP_NOT_FOUND,
  KEY_FILE_ERROR_INVALID_VALUE = G_KEY_FILE_ERROR_INVALID_VALUE
  }
    Specifies the error codes returned by key file parsing. More...
- enum KeyFileFlags {
  KEY_FILE_NONE = G_KEY_FILE_NONE,
  KEY_FILE_KEEP_COMMENTS = G_KEY_FILE_KEEP_COMMENTS,
  KEY_FILE_KEEP_TRANSLATIONS = G_KEY_FILE_KEEP_TRANSLATIONS
  }
    Specifies the flags which influence the parsing. More...

## Detailed Description

A C++ interface for the GKeyFile configuarion file parser.

## Enumeration Type Documentation

enum KeyFileError

Specifies the error codes returned by key file parsing.

Enumeration values:

  KEY_FILE_ERROR_UNKNOWN_ENCODING | The text being parsed was in an unknown encoding.
  KEY_FILE_ERROR_PARSE | The document was ill-formed.
  KEY_FILE_ERROR_NOT_FOUND | The file was not found.
  KEY_FILE_ERROR_KEY_NOT_FOUND | A requested key was not found.
  KEY_FILE_ERROR_GROUP_NOT_FOUND | A requested group was not found.
  KEY_FILE_ERROR_INVALID_VALUE | A value could not be parsed.

enum KeyFileFlags

Specifies the flags which influence the parsing.

Enumeration values:

  KEY_FILE_NONE | No flags, default behaviour.
  KEY_FILE_KEEP_COMMENTS | Use this flag if you plan to write the (possibly modified) contents of the key file back to a file; otherwise all comments will be lost when the key file is written back.
  KEY_FILE_KEEP_TRANSLATIONS | Use this flag if you plan to write the (possibly modified) contents of the key file back to a file; otherwise only the translations for the current language will be written back.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3